{
  services.unbound.settings.server = let
    RECORD = ".tv. IN A 192.168.1.20";
  in {
    local-zone = [
      "tv. transparent"
    ];
    local-data = [
      "'radarr${RECORD}'"
      "'sonarr${RECORD}'"
      "'prowlarr${RECORD}'"
      "'deluge${RECORD}'"
      "'bazarr${RECORD}'"
    ];
  };
  services.caddy.virtualHosts = {
    "http://radarr.tv" = {
	    extraConfig = ''
        reverse_proxy 127.0.0.1:7878
      '';
    };
    "http://sonarr.tv" = {
	    extraConfig = ''
        reverse_proxy 127.0.0.1:8989
      '';
    };
    "http://prowlarr.tv" = {
	    extraConfig = ''
        reverse_proxy 127.0.0.1:9696
      '';
    };
    "http://deluge.tv" = {
	    extraConfig = ''
        reverse_proxy 127.0.0.1:8112
      '';
    };
    "http://bazarr.tv" = {
      extraConfig = ''
        reverse_proxy 127.0.0.1:6767
      '';
    };
  };
}
